#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}
global:
  scrape_interval: 15s
scrape_configs:
  - job_name: 'prometheus'
    scrape_interval: 15s
    static_configs:
      - targets: ['localhost:9090']
{% for host in prometheus_targets %}
  - job_name: '{{ host.label }}'
    scrape_interval: 15s
    static_configs:
      - targets: ['{{ host.uri }}']
{% endfor %}